* sample_SAS.sas - sample SAS program of frequencies ;

* Replace path-to-PUF-files with your path ;
libname PC "path-to-PUF-files" ; 
 
options fmtsearch=(PC) ;

title1 ' National Survey of Parents and Youth (NSPY) ' ;

* Sample freq of gender * Ethnicity  ;
proc freq data = PC.round1 (keep = Gender2 RaceEth weight) ; 
  tables Gender2 * RaceEth / missing norow nocol nopercent ; 
  weight weight ;
run ;

